> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/59-kueri-dtasettowo.md).

# 59. クエリ: 散布実績データセットを取得

播種実績または散布実績データセットを取得

選択した「Field」に対するすべての「AsAppliedDatasets」を取得します。データセットは次のような一般的なGraphQLクエリを使用して取得できます `getFarms` と `getFields` リンクされた「Field」から。&#x20;

{% hint style="warning" %}
「AsAppliedDataset」は事前にアップロードされている必要があります。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    名前
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        名前
        number #ジオフィーチャーの総数 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #属性ごとの完全な詳細
          name #統計へのリンク >> 属性
          transliteratedName
          fullName #正しい人間に読みやすい名前
          unit#測定単位
        }

        usedMachines { #使用された機械
          id（識別子）
          serial
          operatorId
        } 

        createdDate #GeoPardでのエンティティ作成日時
        updatedDate #最終更新日時
        operationId
        operationType
        operationFileDate #ファイル作成日時はメタ情報から取得されます 
        operationStartDate #作業開始日時はメタ情報から取得されます
        
        statistics { #各属性の統計分布
          attribute
          最小
          最大
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        名前
        number #ジオフィーチャーの総数 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #属性ごとの完全な詳細
          name #統計へのリンク >> 属性
          transliteratedName
          fullName #正しい人間に読みやすい名前
          unit#測定単位
        }

        usedMachines { #使用された機械
          id（識別子）
          serial
          operatorId
        } 

        createdDate #GeoPardでのエンティティ作成日時
        updatedDate #最終更新日時
        operationId
        operationType
        operationFileDate #ファイル作成日時はメタ情報から取得されます 
        operationStartDate #作業開始日時はメタ情報から取得されます
        
        statistics { #各属性の統計分布
          attribute
          最小
          最大
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/59-kueri-dtasettowo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
